def build_shape(self): scale = self.scale body = BRepPrimAPI_MakeCylinder(0.02*scale, 1*scale).Shape() head = BRepPrimAPI_MakeWedge (0.3*scale, 0.05*scale, 0.3*scale, 0.1).Shape() #dx, dy, dz, ltx(?) head = move_shape(head, gp_Pnt(0,0,0), gp_Pnt(0,0,0.7*scale)) #move flag to top of arrow self._shape = BRepAlgoAPI_Fuse(head, body).Shape()
def build_shape(self): scale = self.scale body = BRepPrimAPI_MakeCylinder(0.02*scale, 0.7*scale).Shape() head = BRepPrimAPI_MakeCone(0.1*scale,0.001,0.3*scale).Shape() head = move_shape(head, gp_Pnt(0,0,0), gp_Pnt(0,0,0.7*scale)) #move cone to top of arrow self._shape = BRepAlgoAPI_Fuse(head, body).Shape()